angular.module('SampleApp', ['ngResource', 'ngRoute', 'kendo.directives']).config(function ($routeProvider)
{
    $routeProvider.when('/', { templateUrl: 'kendoui-view_datepicker.html', controller: HomeCtrl }).otherwise({redirectTo: '/'});
});

function HomeCtrl($scope)
{
    $scope.data = {
        testDate: new Date()
    };

    $scope.datePickerConfig = {
        format: "dd-MM-yyyy",
        parseFormats: ["yyyy-MM-dd", "dd/MM/yyyy", "yyyy/MM/dd"],
        footer: "Currently #: kendo.toString(data,'dd-MM-yyyy')#"
    }

    $scope.analyseDate = function ()
    {
        var tp = typeof  $scope.data.testDate;
        return  $scope.data.testDate + " " + tp;
    }

}

